zenilib: SDL_MessageBoxData Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SDL_MessageBoxData Struct Reference

MessageBox structure containing title, text, window, etc. More...

`#include <SDL_messagebox.h>`

## Public Attributes

const SDL_MessageBoxButtonData * | buttons
const SDL_MessageBoxColorScheme * | colorScheme
Uint32 | flags
const char * | message
int | numbuttons
const char * | title
SDL_Window * | window

## Detailed Description

MessageBox structure containing title, text, window, etc.

Definition at line 92 of file SDL_messagebox.h.

## Member Data Documentation

const SDL_MessageBoxButtonData* SDL_MessageBoxData::buttons

Definition at line 100 of file SDL_messagebox.h.

Referenced by SDL_PromptAssertion(), and SDL_ShowSimpleMessageBox().

const SDL_MessageBoxColorScheme* SDL_MessageBoxData::colorScheme

SDL_MessageBoxColorScheme, can be NULL to use system settings

Definition at line 102 of file SDL_messagebox.h.

Uint32 SDL_MessageBoxData::flags

SDL_MessageBoxFlags

Definition at line 94 of file SDL_messagebox.h.

Referenced by SDL_PromptAssertion(), and SDL_ShowSimpleMessageBox().

const char* SDL_MessageBoxData::message

UTF-8 message text

Definition at line 97 of file SDL_messagebox.h.

Referenced by SDL_PromptAssertion(), and SDL_ShowSimpleMessageBox().

int SDL_MessageBoxData::numbuttons

Definition at line 99 of file SDL_messagebox.h.

Referenced by SDL_PromptAssertion(), and SDL_ShowSimpleMessageBox().

const char* SDL_MessageBoxData::title

UTF-8 title

Definition at line 96 of file SDL_messagebox.h.

Referenced by SDL_PromptAssertion(), and SDL_ShowSimpleMessageBox().

SDL_Window* SDL_MessageBoxData::window

Parent window, can be NULL

Definition at line 95 of file SDL_messagebox.h.

Referenced by SDL_MessageboxValidForDriver(), SDL_PromptAssertion(), and SDL_ShowSimpleMessageBox().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/SDL/SDL_messagebox.h